# PCMGGetSmoother

Gets the KSP context to be used as smoother for both pre- and post-smoothing. Call both PCMGGetSmootherUp() and PCMGGetSmootherDown() to use different functions for pre- and post-smoothing.

### Synopsis

    #include "petscksp.h"
    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGGetSmoother(PC pc,PetscInt l,KSP *ksp)

Not Collective, KSP returned is parallel if PC is

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply

### Ouput Parameters

ksp -the smoother

### Keywords

MG, get, multigrid, level, smoother, pre-smoother, post-smoother

### See Also

PCMGGetSmootherUp(), PCMGGetSmootherDown()

Level:advanced
Location: src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex24.c.html